バージョン選択

フォーラム

メニュー

オンライン状況

85 人のユーザが現在オンラインです。 (77 人のユーザが フォーラム を参照しています。)
登録ユーザ: 1
ゲスト: 84
denelie4q もっと...

PR

デザインテンプレート EC-CUBE3.0版が登場!
広告掲載について

サイト内検索

質問 > その他 > xserverでwordpressとeccubeの二つをインストール

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
romen
投稿日時: 2017/3/25 14:07
対応状況: 確認中
半人前
登録日: 2016/9/30
居住地:
投稿: 12
xserverでwordpressとeccubeの二つをインストール
▼テンプレート
[EC-CUBE] Eccube2.13.5 インストール
[レンタルサーバ] xserver

現在xserverでECサイトの構築を準備しています。wordpressとeccubeの両方を使いたいと思っています。

wordpressはトップページなどに使い、eccubeはカートページとしてだけ使いたいと思っています。

まずxserverでpublic_html内にwordpressをインストールしました。次にFTPを使って、eccube2系を「data」,「html」をワードプレスと同じ階層にアップロードしました。

wordpressは問題なく表示されていますが、xxxx-xxxx.com/htmlにアクセスしてインストールしようとしても500エラーになりアクセスできません。

これはhtaccessか何かで、アクセスできないようにxserver側で設定しているのでしょうか?

今回初めて同時にインストールを行います。インストール方法も間違っているのかもしれませんが、ご教授お願いします。

同階層にあるhtaccessの中身

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>
# END WordPress
umebius
投稿日時: 2017/3/25 14:43
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: Tokyo
投稿: 712
Re: xserverでwordpressとeccubeの二つをインストール

ファイル・ディレクトリのパーミッションは設定されましたか?


----------------
//////////////////////////////
(株)U-Mebius EC-CUBE3 カスタマイズ・高速化 ・バグ修正
EC-CUBE関連技術者の採用もお問い合わせください。


romen
投稿日時: 2017/3/25 14:46
対応状況: −−−
半人前
登録日: 2016/9/30
居住地:
投稿: 12
Re: xserverでwordpressとeccubeの二つをインストール
返信ありがとうございます。

今までローカルで構築をしていて、特に何もしなくてもアクセスできたいたので、パーミッションについて知りませんでした。

今も調べているのですが、もしよければ参考サイトなどありましたら教えて頂けないでしょうか?
umebius
投稿日時: 2017/3/25 15:11
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: Tokyo
投稿: 712
Re: xserverでwordpressとeccubeの二つをインストール
こちらですかね?
http://www.serverqueen.jp/cs/appli/shared_ec_up.html

ところで、Xserverならサーバーのエラーログ見れますよね?
500であればサーバーログ見ればまず原因わかると思いますので確認してみてください。
romen
投稿日時: 2017/3/25 15:54
対応状況: −−−
半人前
登録日: 2016/9/30
居住地:
投稿: 12
Re: xserverでwordpressとeccubeの二つをインストール
返信ありがとうございます。パーミッションはまだ知らべているのですが、とりあえずhtmlフォルダ内のhtaccessを削除したらインストール画面に行けました。

ただエラーが吐かれていて


Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in
~/eccube/data/module/Smarty/libs/Smarty_Compiler.class.php on line 269

というエラーです。

サーバーのphpが7です。preg_replaceが使えなくなってるみたいです。

この場合は、バージョンを下げるしかないですか?
umebius
投稿日時: 2017/3/25 16:10
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: Tokyo
投稿: 712
Re: xserverでwordpressとeccubeの二つをインストール
下げるのが簡単ですね。

PHP7をやめるか、地道に動かないライブラリをアップデートして問題に対処していくか、地道に出現箇所を修正していくか..
romen
投稿日時: 2017/3/25 16:23
対応状況: −−−
半人前
登録日: 2016/9/30
居住地:
投稿: 12
Re: xserverでwordpressとeccubeの二つをインストール
返信ありがとうございます。

今はインストール画面の最初までこれたのですが、通常だと

EC-cubeのインストールを開始します。
 次へ進む

というのが表示されていると思います。なぜかこの次へ進むが表示されません。ソースを見ると

<form name="form1" id="form1" method="post" action="./"></form>
が表示されていませんでした。

ソースファイルは

<!--{include file=$tpl_mainpage}-->と書かれていて、これが動いていないみたいです。

これはパーミッションを設定していなからダメなのか、phpのバージョンが合っていないからでていないのかが、よくわかっていません。

umebius
投稿日時: 2017/3/25 17:01
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: Tokyo
投稿: 712
Re: xserverでwordpressとeccubeの二つをインストール
これだけでは分からないですが、phpのバージョンですかね..

tpl_mainpageは読み込むテンプレートファイル名ですので、
なんというファイル名か確認して、そのファイルが存在するか確認できますでしょうか。
romen
投稿日時: 2017/3/25 17:10
対応状況: −−−
半人前
登録日: 2016/9/30
居住地:
投稿: 12
Re: xserverでwordpressとeccubeの二つをインストール
返信ありがとうございます。

バージョンを下げたら通常に行うことができました。

質問にいろいろと答えて頂き助かりました。ありがとうございます
umebius
投稿日時: 2017/3/25 17:18
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: Tokyo
投稿: 712
Re: xserverでwordpressとeccubeの二つをインストール
バージョンでしたか。SmartyとかPearの当該バージョンはPHP7では動かないようですからね。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ

 



ログイン


EC-CUBEペイメント

クレジットカード情報の非保持化対応

統計情報

総メンバー数は19,739名です
総投稿数は82,442件です

投稿数ランキング

1
seasoft
7331
2
AMUAMU
2712
3
nanasess
1632
4
yuh
1387
5
red
1064
6
fukap
907
7
shutta
827
8 ramrun 789
9
tsuji
784
10
umebius
712
11
tao_s
651
12 sumida 638
13
homan
633
14
468
630
15 karin 609
16 DELIGHT 571
17
patapata
502
18
flealog
483
19 tonton 436
20
ecbg
387


ネットショップの壺

EC-CUBEガイドブック
Copyright© LOCKON CO.,LTD. All Rights Reserved.